global:
  # scrape_interval:     1m
  # evaluation_interval: 1m
  # scrape_timeout is set to the global default (10s).

# Alertmanager configuration
alerting:
  alertmanagers:
  - static_configs:
    - targets:
      # - alertmanager:9093

# Load rules once and periodically evaluate them according to the global 'evaluation_interval'.
rule_files:
  # - "first_rules.yml"
  # - "second_rules.yml"

scrape_configs:
  # The job name is added as a label `job=<job_name>` to any timeseries scraped from this config.
  - job_name: 'prometheus'

    # metrics_path defaults to '/metrics'
    # scheme defaults to 'http'.

    static_configs:
    - targets:
      - 'localhost:9090'

  - job_name: 'sutty'
    static_configs:
    - targets:
      - 'sutty:9394'

  - job_name: 'nginx'
    static_configs:
    - targets:
{% for node in nodes %}
      - 'nginx.{{ node.name }}.{{ sutty }}:9113'
{% endfor %}

  - job_name: 'node'
    static_configs:
    - targets:
{% for node in nodes %}
      - '{{ node.name }}:9100'
{% endfor %}

  - job_name: 'pagespeed'
    scrape_interval: 1d
    scrape_timeout: 5m
    static_configs:
    - targets:
      - 'pagespeed:9271'

  - job_name: 'knot'
    scrape_interval: 1m
    scrape_timeout: 1m
    static_configs:
    - targets:
{% for node in nodes %}
      - 'knot.{{ node.name }}.{{ sutty }}:5000'
{% endfor %}
